# azure.mgmt.eventhub.v2018_01_01_preview.operations module

class `azure.mgmt.eventhub.v2018_01_01_preview.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-01-01-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available Event Hub REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2018_01_01_preview.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2018_01_01_preview/models/__init__.py'>

class `azure.mgmt.eventhub.v2018_01_01_preview.operations.``ClustersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ClustersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-01-01-preview”.

  `delete`(resource_group_name, cluster_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an existing Event Hubs Cluster. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - cluster_name (str) – The name of the Event Hubs Cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Gets the resource description of the specified Event Hubs Cluster.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - cluster_name (str) – The name of the Event Hubs Cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Cluster or ClientRawResponse if raw=true
    Return type: | Cluster or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_available_clusters`(custom_headers=None, raw=False, **operation_config)

    List the quantity of available pre-provisioned Event Hubs Clusters, indexed by Azure region.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AvailableClustersList or ClientRawResponse if raw=true
    Return type: | AvailableClustersList or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the available Event Hubs Clusters within an ARM resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Cluster
    Return type: | ClusterPaged[Cluster]
    Raises: | `ErrorResponseException`

  `list_namespaces`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    List all Event Hubs Namespace IDs in an Event Hubs Dedicated Cluster.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - cluster_name (str) – The name of the Event Hubs Cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | EHNamespaceIdListResult or ClientRawResponse if raw=true
    Return type: | EHNamespaceIdListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `patch`(resource_group_name, cluster_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Modifies mutable properties on the Event Hubs Cluster. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - cluster_name (str) – The name of the Event Hubs Cluster.
    - parameters (Cluster) – The properties of the Event Hubs Cluster which should be updated.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Cluster or ClientRawResponse<Cluster> if raw==True
    Return type: | AzureOperationPoller[Cluster] or AzureOperationPoller[ClientRawResponse[Cluster]]
    Raises: | `ErrorResponseException`

  `put`(resource_group_name, cluster_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates an instance of an Event Hubs Cluster.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - cluster_name (str) – The name of the Event Hubs Cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Cluster or ClientRawResponse<Cluster> if raw==True
    Return type: | AzureOperationPoller[Cluster] or AzureOperationPoller[ClientRawResponse[Cluster]]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2018_01_01_preview.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2018_01_01_preview/models/__init__.py'>

class `azure.mgmt.eventhub.v2018_01_01_preview.operations.``ConfigurationOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ConfigurationOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-01-01-preview”.

  `get`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Get all Event Hubs Cluster settings - a collection of key/value pairs which represent the quotas and settings imposed on the cluster.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - cluster_name (str) – The name of the Event Hubs Cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ClusterQuotaConfigurationProperties or ClientRawResponse if raw=true
    Return type: | ClusterQuotaConfigurationProperties or ClientRawResponse
    Raises: | `ErrorResponseException`

  `patch`(resource_group_name, cluster_name, settings=None, custom_headers=None, raw=False, **operation_config)

    Replace all specified Event Hubs Cluster settings with those contained in the request body. Leaves the settings not specified in the request body unmodified.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - cluster_name (str) – The name of the Event Hubs Cluster.
    - settings (dict[str, str]) – All possible Cluster settings - a collection of key/value paired settings which apply to quotas and configurations imposed on the cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ClusterQuotaConfigurationProperties or ClientRawResponse if raw=true
    Return type: | ClusterQuotaConfigurationProperties or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2018_01_01_preview.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2018_01_01_preview/models/__init__.py'>

class `azure.mgmt.eventhub.v2018_01_01_preview.operations.``NamespacesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NamespacesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-01-01-preview”.

  `create_or_update`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a namespace. Once created, this namespace’s resource manifest is immutable. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - parameters (EHNamespace) – Parameters for creating a namespace resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns EHNamespace or ClientRawResponse<EHNamespace> if raw==True
    Return type: | AzureOperationPoller[EHNamespace] or AzureOperationPoller[ClientRawResponse[EHNamespace]]
    Raises: | `ErrorResponseException`

  `create_or_update_ip_filter_rule`(resource_group_name, namespace_name, ip_filter_rule_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates or updates an IpFilterRule for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - ip_filter_rule_name (str) – The IP Filter Rule name.
    - parameters (IpFilterRule) – The Namespace IpFilterRule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IpFilterRule or ClientRawResponse if raw=true
    Return type: | IpFilterRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update_network_rule_set`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update NetworkRuleSet for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - parameters (NetworkRuleSet) – The Namespace IpFilterRule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetworkRuleSet or ClientRawResponse if raw=true
    Return type: | NetworkRuleSet or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update_virtual_network_rule`(resource_group_name, namespace_name, virtual_network_rule_name, virtual_network_subnet_id=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates an VirtualNetworkRule for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - virtual_network_rule_name (str) – The Virtual Network Rule name.
    - virtual_network_subnet_id (str) – ARM ID of Virtual Network Subnet
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetworkRule or ClientRawResponse if raw=true
    Return type: | VirtualNetworkRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, namespace_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an existing namespace. This operation also removes all associated resources under the namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `delete_ip_filter_rule`(resource_group_name, namespace_name, ip_filter_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes an IpFilterRule for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - ip_filter_rule_name (str) – The IP Filter Rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete_virtual_network_rule`(resource_group_name, namespace_name, virtual_network_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes an VirtualNetworkRule for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - virtual_network_rule_name (str) – The Virtual Network Rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets the description of the specified namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | EHNamespace or ClientRawResponse if raw=true
    Return type: | EHNamespace or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_ip_filter_rule`(resource_group_name, namespace_name, ip_filter_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets an IpFilterRule for a Namespace by rule name.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - ip_filter_rule_name (str) – The IP Filter Rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IpFilterRule or ClientRawResponse if raw=true
    Return type: | IpFilterRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_network_rule_set`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets NetworkRuleSet for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetworkRuleSet or ClientRawResponse if raw=true
    Return type: | NetworkRuleSet or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_virtual_network_rule`(resource_group_name, namespace_name, virtual_network_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets an VirtualNetworkRule for a Namespace by rule name.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - virtual_network_rule_name (str) – The Virtual Network Rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetworkRule or ClientRawResponse if raw=true
    Return type: | VirtualNetworkRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all the available Namespaces within a subscription, irrespective of the resource groups.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of EHNamespace
    Return type: | EHNamespacePaged[EHNamespace]
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the available Namespaces within a resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of EHNamespace
    Return type: | EHNamespacePaged[EHNamespace]
    Raises: | `ErrorResponseException`

  `list_ip_filter_rules`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of IP Filter rules for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IpFilterRule
    Return type: | IpFilterRulePaged[IpFilterRule]
    Raises: | `ErrorResponseException`

  `list_virtual_network_rules`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of VirtualNetwork rules for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualNetworkRule
    Return type: | VirtualNetworkRulePaged[VirtualNetworkRule]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates or updates a namespace. Once created, this namespace’s resource manifest is immutable. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - namespace_name (str) – The Namespace name
    - parameters (EHNamespace) – Parameters for updating a namespace resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | EHNamespace or ClientRawResponse if raw=true
    Return type: | EHNamespace or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2018_01_01_preview.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2018_01_01_preview/models/__init__.py'>